﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharpTrack.Data.Model
{
    /// <summary>
    /// Абстрактный класс, представляющий элемент простого справочника
    /// </summary>
    public abstract class DictionaryItem
    {
        private int _value;
        private string name;

        public DictionaryItem(int value,string name)
        {
            this._value = value;
            this.name = name;
        }

        public DictionaryItem(int value)
        {
            _value = value;
        }

        public int Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
            }
        }

        public string Name
        {
            get
            {
                return name;
            }
        }
    }
}
