﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharpTrack.Data.Model
{
    public abstract class Reference {

        public Reference(Guid id) {

            if (id == Guid.Empty) {
                throw new ArgumentException("Can not be empty.", "id");
            }

            Id = id;
        }

        public Guid Id { get; set; }
        public abstract string Name { get; set; }
    }
}
