﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharpTrack.Application.Services {

    using SharpTrack.Data.Filters;
    using SharpTrack.Data.DataAccess;

    public class ProjectsService : SharpTrack.Application.Services.IProjectsService {

        IProjectsRepository _repository;

        public ProjectsService(Data.DataAccess.IProjectsRepository repository) {
            _repository = repository;
        }

        public SharpTrack.Data.Model.Project RetrieveProject(Guid guid) {
            return _repository.RetrieveProjects().WithProjectId(guid).SingleOrDefault();
        }
    }
}
