﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using SharpTrack.Data.Model;

namespace SharpTrack.Data.Test
{
    /// <summary>
    /// Summary description for DictionaryTest
    /// </summary>
    [TestClass]
    public class DictionaryTest
    {
        public DictionaryTest()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void Dictionary_Items_Not_Null()
        {
            SharpTrack.Data.Model.Dictionary<IssuePriority> issuePriorityDictionary = new Dictionary<IssuePriority>();

            Assert.IsNotNull(issuePriorityDictionary.Items);
        }

        [TestMethod]
        public void Dictionary_Add_Item()
        {
            SharpTrack.Data.Model.Dictionary<IssuePriority> issuePriorityDictionary = new Dictionary<IssuePriority>();

            issuePriorityDictionary.AddItem(new IssuePriority(1, "Critical"));

            Assert.AreEqual("Critical", issuePriorityDictionary.Items[0].Name);
        }

    }
}
