﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharpTrack.Data.Filters {

    public static class ProjectFilters {

        public static IQueryable<Model.Project> WithProjectId(this IQueryable<Model.Project> products, Guid id) {
            return products.Where(p => p.ProjectId.Id == id);
        }
    }
}
