﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharpTrack.Data.Model
{
    public class ProjectId : Reference {

        public ProjectId(Guid productid, string name) : base(productid) {

            if (string.IsNullOrEmpty(name))
                throw new ArgumentException("Can not be null or empty.", name);

            Name = name;
        }
        public override string Name {
            get;
            set;
        }
    }
}
